package com.ruoyi.bst.feeLog.service;

import com.ruoyi.bst.feeLog.domain.FeeLog;
import com.ruoyi.bst.feeLog.domain.FeeLogInfo;
import com.ruoyi.bst.order.domain.Order;
import com.ruoyi.bst.order.domain.dto.OrderUpdatePriceDTO;

public interface FeeLogConverter {

    /**
     * 将订单转为费用信息
     */
    FeeLogInfo toFeeLogInfo(Order order);

    /**
     * 将改价DTO转为改价记录
     */
    FeeLogInfo toFeeLogInfo(OrderUpdatePriceDTO dto);

    /**
     * 将改价DTO和订单转为改价记录
     */
    FeeLog toPo(OrderUpdatePriceDTO dto, Order order);

}
